#include <iostream>
#include <cstdio>
#include <vector>
#include <stack>
#include <queue>
#include <algorithm>
#include <string>
#include <cmath>

using namespace std;

int main(){
    freopen("LADDER.IN", "r", stdin);
    int t;
    cin >> t;
    for (int z=0; z<t; z++){
        int n, k;
        cin >> n >> k;
        vector<short> u(n, 0);
        vector<int> a(n);
        for(int i=0; i<n; ++i) cin >> a[i];
        for(int i=0; i<k; ++i) u[i]=1;
        for(int i=0; i<n; ++i){
            if(u[i]){
                for(int j=i+1; j<i+1+k && j<n; ++j){
                    if(a[j]>a[i]) u[j]=1;
                }
            }
        }
        int maxi = 0;
        for(int i=1; i<n; ++i){
            if(u[i]) maxi=i;
        }
        cout << maxi+1 << endl;
    }
    return 0;
}
